Prolifto
API reference

Storefront domains

Custom storefront domains

Create

POST
/storefrontDomains/create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/storefrontDomains/create" \  -H "Content-Type: application/json" \  -d '{    "host": "string"  }'
{}

Delete

POST
/storefrontDomains/delete

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/storefrontDomains/delete" \  -H "Content-Type: application/json" \  -d '{    "id": "string"  }'
{}

List

POST
/storefrontDomains/list

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/storefrontDomains/list"
{}

Verify

POST
/storefrontDomains/verify

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/storefrontDomains/verify" \  -H "Content-Type: application/json" \  -d '{    "id": "string"  }'
{}

Set Primary

POST
/storefrontDomains/setPrimary

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/storefrontDomains/setPrimary" \  -H "Content-Type: application/json" \  -d '{    "id": "string"  }'
{}